<template>
    <div>
        <CRow>
            <CCol>
                <CCard v-if="!mismatch">
                    <CCardHeader>
                        <h4 class="m-0 font-weight-bold">Пропущен заказ для ООО 'Рога и копыта'</h4>
                    </CCardHeader>
                    <CCardBody>
                        <div> Последний заказ сделан</div>
                        <div> Просрочено на {{ 4 }} дня</div>
                    </CCardBody>
                    <CCardFooter>
                        <CButton class="mr-3" color="primary">
                            Создать заказ
                        </CButton>
                        <CButton color="secondary" v-if="typeOfNotify === 'new'">
                            Отметить как прочитанное
                        </CButton>

                        <CButton color="secondary" v-else>
                            Прочитано {{ date }}
                        </CButton>

                    </CCardFooter>
                </CCard>

                <CCard v-else>
                    <CCardHeader>
                        <h4 class="m-0 font-weight-bold">Не удалось сопоставить данные, задайте соответствие</h4>
                    </CCardHeader>
                    <CCardBody>
                        <CRow>
                            <CCol>
                                <div class="font-weight-bold">
                                    Позиций, требующих сопоставления
                                </div>
                                <div> {{ 64 }}</div>
                            </CCol>
                        </CRow>
                    </CCardBody>
                    <CCardFooter>
                        <CButton class="mr-3" color="primary">
                            Задать соответствие
                        </CButton>
                        <CButton color="secondary">
                            Отметить как прочитанное
                        </CButton>
                    </CCardFooter>
                </CCard>
            </CCol>
        </CRow>
    </div>
</template>

<script>
import moment from 'moment'

export default {
    props: {
        mismatch: {
            type: Boolean,
            default: false
        },
        typeOfNotify: {
            type: String,
            default: 'new'
        }
    },

    data() {
        return {
            date: moment.utc(new Date()).local().format('DD.MM.YYYY')
        }
    },
    mounted(){},
    methods: {}
}
</script>
